use gtk::{prelude::*, Box, Label, Switch};

pub fn build(text: &str) -> (Box, Switch, Label) {
    let switch: Switch = Switch::builder()
        .valign(gtk::Align::Start)
        .halign(gtk::Align::Center)
        .build();

    let label: Label = Label::builder()
        .valign(gtk::Align::End)
        .halign(gtk::Align::BaselineCenter)
        .label(text)
        .build();

    let container = Box::builder()
        .orientation(gtk::Orientation::Horizontal)
        .build();

    container.append(&switch);
    container.append(&label);

    (container, switch, label)
}
